package com.ruoyi.sensor.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class ReleaseLogReport {
    private String boardIp;
    private String perceptionType;
    private int perceptionLevel;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime releaseTime;
    private String releaseStatus;
    private String releaseContent;
    private List<PresetContentStyle> lines;
}
